Bug 127355 - Lose windows sinchronization when deleting logfile
Summary: Lose windows sinchronization when deleting logfile
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-logviewer   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-07 00:11 UTC by Javier P
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 14:51:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Javier P 2004-07-07 00:11:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
If a logfile is deleted from the Preferences->LogFiles menu, the left
hand side window with the log names loses synchronization with the Log
content on the right hand side window.

For example, I can click on System Log and I would see the content of
the X.Org11 log

Version-Release number of selected component (if applicable):
system-logviewer-0.9.7-1

How reproducible:
Always

Steps to Reproduce:
1. run 'sudo system-logviewer'
2. Select Edit->Preferences->Log Files
3. Add a new Log File. In my case I am adding the
/var/amavis/amavis.log filie of the Amavisd-New package. It could be
any other.
4. Check that the Amavis Log has been added at the end of the List on
the left side window. 
5. Click on Amavis Log. You should see the content of
/var/amavis/amavis.log
6. Click on X.Org11 Log. You should see the content of /var/log/Xorg.O.log
7. Close system-logviewer
8. reopen system-logviewer with 'sudo system-logviewer'
9. Check the order of the left side windows. Now the Amavis Log is
BEFORE the X.Org11 Log.
10. If you click on Amavis Log you will see the content of the amavis
Log. If you click on the Xorg Log you will see the content of the Xorg
Log.
11. Open Edit->Preferences->Log File
12. Select the Amavis Log and press Delete. Close the window

    

Actual Results:  The log just above the X11 Org Log shows the X11 Org
Log instead of its own.

Expected Results:  The log just above the X11 Org Log should show its
log file like always

Additional info:

Comment 1 Matthew Miller 2005-04-26 15:46:47 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Chris Lumens 2005-09-23 14:51:52 UTC
system-logviewer has been removed from Fedora Core as of FC4.


Note You need to log in before you can comment on or make changes to this bug.